## keyboard-leds 0.1

=== src/Makefile ===
#############################################################################
# Makefile for building: KeyboardLEDs
# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Nov 9 21:06:47 2010
# Project:  KeyboardLEDs.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile KeyboardLEDs.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/include/QtCore -I/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/include/QtGui -I/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/include/QtDBus -I/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/include/QtMaemo5 -I/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp moc_mainwindow.cpp
OBJECTS       = main.o \
		mainwindow.o \
		moc_mainwindow.o
DIST          = /targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		KeyboardLEDs.pro
QMAKE_TARGET  = KeyboardLEDs
DESTDIR       = 
TARGET        = KeyboardLEDs

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: KeyboardLEDs.pro  /targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile KeyboardLEDs.pro
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-e255a9624895668873a820f556e5ac0ca1451864/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile KeyboardLEDs.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/KeyboardLEDs1.0.0 || $(MKDIR) .tmp/KeyboardLEDs1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/KeyboardLEDs1.0.0/ && $(COPY_FILE) --parents mainwindow.h .tmp/KeyboardLEDs1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp .tmp/KeyboardLEDs1.0.0/ && $(COPY_FILE) --parents mainwindow.ui .tmp/KeyboardLEDs1.0.0/ && (cd `dirname .tmp/KeyboardLEDs1.0.0` && $(TAR) KeyboardLEDs1.0.0.tar KeyboardLEDs1.0.0 && $(COMPRESS) KeyboardLEDs1.0.0.tar) && $(MOVE) `dirname .tmp/KeyboardLEDs1.0.0`/KeyboardLEDs1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/KeyboardLEDs1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp
moc_mainwindow.cpp: mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all: ui_mainwindow.h

=== debian/changelog ===
keyboard-leds (0.1) unstable; urgency=low

  * Initial release.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Tue, 09 Nov 2010 20:51:42 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cd $(CURDIR)/src && qmake
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	cd $(CURDIR)/src && make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	cd $(CURDIR)/src && qmake && make clean
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install
	cp /usr/bin/gnu/sleep $(CURDIR)/debian/keyboard-leds/opt/keyboard-leds/ && chmod +x $(CURDIR)/debian/keyboard-leds/opt/keyboard-leds/sleep

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## keyboard-leds 0.1-1

=== src/Makefile ===
#############################################################################
# Makefile for building: KeyboardLEDs
# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Nov 9 22:18:47 2010
# Project:  KeyboardLEDs.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile KeyboardLEDs.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/include/QtCore -I/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/include/QtGui -I/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/include/QtDBus -I/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/include/QtMaemo5 -I/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp moc_mainwindow.cpp
OBJECTS       = main.o \
		mainwindow.o \
		moc_mainwindow.o
DIST          = /targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		KeyboardLEDs.pro
QMAKE_TARGET  = KeyboardLEDs
DESTDIR       = 
TARGET        = KeyboardLEDs

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: KeyboardLEDs.pro  /targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile KeyboardLEDs.pro
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-998e846dd276edc99a0d4b1bd0ae7b6b266d7e98/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile KeyboardLEDs.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/KeyboardLEDs1.0.0 || $(MKDIR) .tmp/KeyboardLEDs1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/KeyboardLEDs1.0.0/ && $(COPY_FILE) --parents mainwindow.h .tmp/KeyboardLEDs1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp .tmp/KeyboardLEDs1.0.0/ && $(COPY_FILE) --parents mainwindow.ui .tmp/KeyboardLEDs1.0.0/ && (cd `dirname .tmp/KeyboardLEDs1.0.0` && $(TAR) KeyboardLEDs1.0.0.tar KeyboardLEDs1.0.0 && $(COMPRESS) KeyboardLEDs1.0.0.tar) && $(MOVE) `dirname .tmp/KeyboardLEDs1.0.0`/KeyboardLEDs1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/KeyboardLEDs1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp
moc_mainwindow.cpp: mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all: ui_mainwindow.h

=== debian/changelog ===
keyboard-leds (0.1-1) unstable; urgency=low

  * Forgot postinst and postrm to update sudoers, sigh...

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Tue, 09 Nov 2010 22:16:20 +0200

## keyboard-leds 0.1-2

=== src/Makefile ===
#############################################################################
# Makefile for building: KeyboardLEDs
# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Nov 9 22:50:48 2010
# Project:  KeyboardLEDs.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile KeyboardLEDs.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/include/QtCore -I/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/include/QtGui -I/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/include/QtDBus -I/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/include/QtMaemo5 -I/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp moc_mainwindow.cpp
OBJECTS       = main.o \
		mainwindow.o \
		moc_mainwindow.o
DIST          = /targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		KeyboardLEDs.pro
QMAKE_TARGET  = KeyboardLEDs
DESTDIR       = 
TARGET        = KeyboardLEDs

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: KeyboardLEDs.pro  /targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile KeyboardLEDs.pro
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-15c73a95d95432f10399db0403141dfdeb90fa87/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile KeyboardLEDs.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/KeyboardLEDs1.0.0 || $(MKDIR) .tmp/KeyboardLEDs1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/KeyboardLEDs1.0.0/ && $(COPY_FILE) --parents mainwindow.h .tmp/KeyboardLEDs1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp .tmp/KeyboardLEDs1.0.0/ && $(COPY_FILE) --parents mainwindow.ui .tmp/KeyboardLEDs1.0.0/ && (cd `dirname .tmp/KeyboardLEDs1.0.0` && $(TAR) KeyboardLEDs1.0.0.tar KeyboardLEDs1.0.0 && $(COMPRESS) KeyboardLEDs1.0.0.tar) && $(MOVE) `dirname .tmp/KeyboardLEDs1.0.0`/KeyboardLEDs1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/KeyboardLEDs1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp
moc_mainwindow.cpp: mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all: ui_mainwindow.h

=== debian/changelog ===
keyboard-leds (0.1-2) unstable; urgency=low

  * Forgot kbledon.sh, I need a break :/

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Tue, 09 Nov 2010 22:48:36 +0200

=== debian/control ===
Source: keyboard-leds
Section: user/system
Priority: extra
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, coreutils-gnu
Standards-Version: 3.7.2

Package: keyboard-leds
XB-Maemo-Display-Name: Keyboard LEDs
Architecture: armel
Depends: ${shlibs:Depends}
Description: Simple application to control keyboard LEDs
